import{s as We,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s as n,r as m,A as tt,h as o,f as t,c as s,j as $,u as i,x as E,k as v,y as d,a,v as f,d as u,t as c,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as ae}from"../chunks/Heading.342b1fa6.js";function rt(Se){let h,ne,te,se,P,le,T,Ve="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,C,He="Most of those are only useful if you are studying the general code in the library.",me,L,ie,b,D,Ce,J,je="Enum with more explicit error message for missing values.",de,y,M,Le,Q,qe=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,z,De,W,Ue=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ue,I,ce,k,S,pe,V,H,ge,j,q,$e,U,B,ve,A,G,_e,O,he,g,F,Me,X,Be="Descriptor that mimics @property but caches output in member variable.",ze,Y,Ae="From tensorflow_datasets",Ie,Z,Ge="Built-in in functools from Python 3.8.",be,K,ye,N,R,ke,ee,Oe="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return P=new ae({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new ae({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L492"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L504"}}),z=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L515"}}),I=new ae({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),S=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L23"}}),H=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L31"}}),q=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L53"}}),B=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"},{name:"revision",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1064"}}),G=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/doc.py#L1162"}}),O=new ae({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),F=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/generic.py#L45"}}),K=new ae({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),R=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/utils/import_utils.py#L1397"}}),{c(){h=l("meta"),ne=n(),te=l("p"),se=n(),m(P.$$.fragment),le=n(),T=l("p"),T.innerHTML=Ve,oe=n(),C=l("p"),C.textContent=He,me=n(),m(L.$$.fragment),ie=n(),b=l("div"),m(D.$$.fragment),Ce=n(),J=l("p"),J.textContent=je,de=n(),y=l("div"),m(M.$$.fragment),Le=n(),Q=l("p"),Q.innerHTML=qe,fe=n(),x=l("div"),m(z.$$.fragment),De=n(),W=l("p"),W.innerHTML=Ue,ue=n(),m(I.$$.fragment),ce=n(),k=l("div"),m(S.$$.fragment),pe=n(),V=l("div"),m(H.$$.fragment),ge=n(),j=l("div"),m(q.$$.fragment),$e=n(),U=l("div"),m(B.$$.fragment),ve=n(),A=l("div"),m(G.$$.fragment),_e=n(),m(O.$$.fragment),he=n(),g=l("div"),m(F.$$.fragment),Me=n(),X=l("p"),X.textContent=Be,ze=n(),Y=l("p"),Y.textContent=Ae,Ie=n(),Z=l("p"),Z.textContent=Ge,be=n(),m(K.$$.fragment),ye=n(),N=l("div"),m(R.$$.fragment),ke=n(),ee=l("p"),ee.textContent=Oe,xe=n(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);h=o(r,"META",{name:!0,content:!0}),r.forEach(t),ne=s(e),te=o(e,"P",{}),$(te).forEach(t),se=s(e),i(P.$$.fragment,e),le=s(e),T=o(e,"P",{"data-svelte-h":!0}),E(T)!=="svelte-1d4d2gz"&&(T.innerHTML=Ve),oe=s(e),C=o(e,"P",{"data-svelte-h":!0}),E(C)!=="svelte-11r0tff"&&(C.textContent=He),me=s(e),i(L.$$.fragment,e),ie=s(e),b=o(e,"DIV",{class:!0});var Ee=$(b);i(D.$$.fragment,Ee),Ce=s(Ee),J=o(Ee,"P",{"data-svelte-h":!0}),E(J)!=="svelte-u4x3ci"&&(J.textContent=je),Ee.forEach(t),de=s(e),y=o(e,"DIV",{class:!0});var we=$(y);i(M.$$.fragment,we),Le=s(we),Q=o(we,"P",{"data-svelte-h":!0}),E(Q)!=="svelte-af7cif"&&(Q.innerHTML=qe),we.forEach(t),fe=s(e),x=o(e,"DIV",{class:!0});var Pe=$(x);i(z.$$.fragment,Pe),De=s(Pe),W=o(Pe,"P",{"data-svelte-h":!0}),E(W)!=="svelte-1amghpj"&&(W.innerHTML=Ue),Pe.forEach(t),ue=s(e),i(I.$$.fragment,e),ce=s(e),k=o(e,"DIV",{class:!0});var Fe=$(k);i(S.$$.fragment,Fe),Fe.forEach(t),pe=s(e),V=o(e,"DIV",{class:!0});var Ke=$(V);i(H.$$.fragment,Ke),Ke.forEach(t),ge=s(e),j=o(e,"DIV",{class:!0});var Re=$(j);i(q.$$.fragment,Re),Re.forEach(t),$e=s(e),U=o(e,"DIV",{class:!0});var Je=$(U);i(B.$$.fragment,Je),Je.forEach(t),ve=s(e),A=o(e,"DIV",{class:!0});var Qe=$(A);i(G.$$.fragment,Qe),Qe.forEach(t),_e=s(e),i(O.$$.fragment,e),he=s(e),g=o(e,"DIV",{class:!0});var w=$(g);i(F.$$.fragment,w),Me=s(w),X=o(w,"P",{"data-svelte-h":!0}),E(X)!=="svelte-4cuoeh"&&(X.textContent=Be),ze=s(w),Y=o(w,"P",{"data-svelte-h":!0}),E(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Ae),Ie=s(w),Z=o(w,"P",{"data-svelte-h":!0}),E(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Ge),w.forEach(t),be=s(e),i(K.$$.fragment,e),ye=s(e),N=o(e,"DIV",{class:!0});var Te=$(N);i(R.$$.fragment,Te),ke=s(Te),ee=o(Te,"P",{"data-svelte-h":!0}),E(ee)!=="svelte-tjmjug"&&(ee.textContent=Oe),Te.forEach(t),xe=s(e),re=o(e,"P",{}),$(re).forEach(t),this.h()},h(){v(h,"name","hf:doc:metadata"),v(h,"content",at),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,h),a(e,ne,r),a(e,te,r),a(e,se,r),f(P,e,r),a(e,le,r),a(e,T,r),a(e,oe,r),a(e,C,r),a(e,me,r),f(L,e,r),a(e,ie,r),a(e,b,r),f(D,b,null),d(b,Ce),d(b,J),a(e,de,r),a(e,y,r),f(M,y,null),d(y,Le),d(y,Q),a(e,fe,r),a(e,x,r),f(z,x,null),d(x,De),d(x,W),a(e,ue,r),f(I,e,r),a(e,ce,r),a(e,k,r),f(S,k,null),a(e,pe,r),a(e,V,r),f(H,V,null),a(e,ge,r),a(e,j,r),f(q,j,null),a(e,$e,r),a(e,U,r),f(B,U,null),a(e,ve,r),a(e,A,r),f(G,A,null),a(e,_e,r),f(O,e,r),a(e,he,r),a(e,g,r),f(F,g,null),d(g,Me),d(g,X),d(g,ze),d(g,Y),d(g,Ie),d(g,Z),a(e,be,r),f(K,e,r),a(e,ye,r),a(e,N,r),f(R,N,null),d(N,ke),d(N,ee),a(e,xe,r),a(e,re,r),Ne=!0},p:Xe,i(e){Ne||(u(P.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(z.$$.fragment,e),u(I.$$.fragment,e),u(S.$$.fragment,e),u(H.$$.fragment,e),u(q.$$.fragment,e),u(B.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(F.$$.fragment,e),u(K.$$.fragment,e),u(R.$$.fragment,e),Ne=!0)},o(e){c(P.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(z.$$.fragment,e),c(I.$$.fragment,e),c(S.$$.fragment,e),c(H.$$.fragment,e),c(q.$$.fragment,e),c(B.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(F.$$.fragment,e),c(K.$$.fragment,e),c(R.$$.fragment,e),Ne=!1},d(e){e&&(t(ne),t(te),t(se),t(le),t(T),t(oe),t(C),t(me),t(ie),t(b),t(de),t(y),t(fe),t(x),t(ue),t(ce),t(k),t(pe),t(V),t(ge),t(j),t($e),t(U),t(ve),t(A),t(_e),t(he),t(g),t(be),t(ye),t(N),t(xe),t(re)),t(h),p(P,e),p(L,e),p(D),p(M),p(z),p(I,e),p(S),p(H),p(q),p(B),p(G),p(O,e),p(F),p(K,e),p(R)}}}const at='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function nt(Se){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(h){super(),et(this,h,nt,rt,We,{})}}export{it as component};
